
Name:           libhttpserver
Version:        0.7.0
Release:        2%{dist}
Summary:        Library embedding RESTful HTTP server functionality
Group:          Development/Libraries
License:        LGPLv2 
URL:            https://github.com/etr/libhttpserver
Source0:        https://github.com/etr/%{name}/archive/v%{version}.tar.gz
BuildRequires:  libmicrohttpd >= 0.9.7
BuildRequires:  autoconf, automake, libtool
Requires:       libmicrohttpd >= 0.9.7

%description
libhttpserver is a small C++ library for embedding RESTful HTTP server
functionality into applications.

%package        devel
Summary:        Development files for %{name}
BuildRequires:  libmicrohttpd >= 0.9.7
BuildRequires:  libmicrohttpd-devel >= 0.9.7
Group:          Development/Libraries
Requires:       libmicrohttpd >= 0.9.7
Requires:       libmicrohttpd-devel >= 0.9.7
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description devel
libhttpserver is a small C++ library for embedding RESTful HTTP server
functionality into applications. This package contains development files
and headers.

%prep
%setup -q
autoreconf -i -s

%build
mkdir build
cd build
../configure --prefix=/usr --libdir=%{_libdir}
make

%install
rm -rf $RPM_BUILD_ROOT
cd build
make install INSTALL='install -p' DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/httpserver*
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/libhttpserver.pc

%changelog
* Mon Feb 17 2014 Šimon Lukašík <slukasik@redhat.com> - 0.7.0-2
- added autotools build requires
- removed the vendor tag
- added the dist tag to the release

* Thu Feb 13 2014 Šimon Lukašík <slukasik@redhat.com> - 0.7.0-1
- First build for Fedora

